﻿using Syncfusion.Windows.Shared;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;

namespace TreeViewAdvMVVMCommand
{

    #region class
    public class TreeViewModel
    {
        public TreeViewModel()
        {
            TreeItems = new ObservableCollection<TreeModel>();
            PopulateData();
            Clicked = new DelegateCommand<object[]>(executeCommandOne);
        }

        private void executeCommandOne(object[] obj)
        {
            MessageBox.Show("Event has been called");

        }

        public DelegateCommand<object[]> Clicked { get; set; }
        public ObservableCollection<TreeModel> TreeItems { get; set; }
        private void PopulateData()
        {
            TreeModel Root1 = new TreeModel() { Header = "Root1" };
            PopulateSubItems(Root1);
            TreeItems.Add(Root1);

            TreeModel Root2 = new TreeModel() { Header = "Root2" };
            PopulateSubItems(Root2);
            TreeItems.Add(Root2);
        }
        private void PopulateSubItems(TreeModel Root)
        {
            TreeModel SubItem1 = new TreeModel() { Header = Root.Header + " Item1" };
            TreeModel SubItem2 = new TreeModel() { Header = Root.Header + " Item2" };
            TreeModel SubItem3 = new TreeModel() { Header = Root.Header + " Item3" };
            TreeModel SubItem4 = new TreeModel() { Header = Root.Header + " Item4" };

            Root.SubItems.Add(SubItem1);
            Root.SubItems.Add(SubItem2);
            Root.SubItems.Add(SubItem3);
            Root.SubItems.Add(SubItem4);
        }
    }
    #endregion
}
